Skip to main content
GET
/
events
/
{eventId}
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/events/{eventId} \
  --header 'x-api-key: <api-key>'
{
  "eventId": "<string>",
  "isActive": true,
  "isLive": true,
  "category": "<string>",
  "subcategory": "<string>",
  "volumeUsd": "<string>",
  "closeCondition": "<string>",
  "beginAt": "<string>",
  "rulesPdf": "<string>",
  "tags": [
    "<string>"
  ],
  "metadata": {
    "eventId": "<string>",
    "title": "<string>",
    "subtitle": "<string>",
    "slug": "<string>",
    "series": "<string>",
    "closeTime": "<string>",
    "imageUrl": "<string>",
    "isLive": true
  },
  "markets": [
    {
      "marketId": "<string>",
      "status": "open",
      "result": null,
      "openTime": 123,
      "closeTime": 123,
      "resolveAt": 123,
      "marketResultPubkey": "<string>",
      "imageUrl": "<string>",
      "metadata": {
        "marketId": "<string>",
        "title": "<string>",
        "status": "<string>",
        "result": "<string>",
        "closeTime": 123,
        "openTime": 123,
        "isTeamMarket": true,
        "rulesPrimary": "<string>",
        "rulesSecondary": "<string>"
      },
      "pricing": {
        "buyYesPriceUsd": 123,
        "buyNoPriceUsd": 123,
        "sellYesPriceUsd": 123,
        "sellNoPriceUsd": 123,
        "volume": 123
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Get API key via https://portal.jup.ag

Path Parameters

eventId
string
required

Event identifier

Minimum string length: 1

Query Parameters

includeMarkets
boolean | null

Response

Event data

eventId
string
required

Application-level identifier

isActive
boolean
required

Whether the event is active (listed on events)

isLive
boolean
required

Whether the event is currently live

category
string
required

The category for the event, allowed values: all, crypto, sports, politics, esports, culture, economics, tech

subcategory
string
required

The subcategory for the event

volumeUsd
string
required

Total volume for the event

closeCondition
string
required

Close condition for the event

beginAt
string | null
required

Unix timestamp (seconds) when the event begins

rulesPdf
string
required

Document to full rules for the event

tags
string[]

Tags associated with the event

metadata
object
markets
object[]